type __VLS_Props = {
    columns: any[];
    tableData: any[];
    modelValue?: string;
    loading: boolean;
    height?: string;
    autoResize?: boolean;
    treeConfig?: any;
    /** 显示行操作按钮 */
    showRowSelectionMode?: boolean;
    rowSelectionMode?: 'single' | 'multiple';
};
declare function __VLS_template(): {
    attrs: Partial<{}>;
    slots: {
        rdo_version_render?(_: {
            record: any;
            column: import("vxe-table").VxeTableDefines.ColumnInfo<any>;
            rowIndex: number;
        }): any;
    };
    refs: {
        xTable: {
            $props: import('vxe-table').VxeTableProps<any> & {
                layouts?: import("vxe-table").VxeGridPropTypes.Layouts;
                columns?: import("vxe-table").VxeGridPropTypes.Columns<any> | undefined;
                pagerConfig?: import("vxe-table").VxeGridPropTypes.PagerConfig;
                proxyConfig?: import("vxe-table").VxeGridPropTypes.ProxyConfig<any> | undefined;
                toolbarConfig?: import("vxe-table").VxeGridPropTypes.ToolbarConfig;
                formConfig?: import("vxe-table").VxeGridPropTypes.FormConfig;
                zoomConfig?: import("vxe-table").VxeGridPropTypes.ZoomConfig;
            } & import('vxe-table').VxeGridEventProps<any>;
            $slots: import('vxe-table').VxeGridSlots<any>;
        } | null;
    };
    rootEl: HTMLDivElement;
};
type __VLS_TemplateResult = ReturnType<typeof __VLS_template>;
declare const __VLS_component: import('vue').DefineComponent<__VLS_Props, {
    getRef: () => any;
}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    "change-select": (...args: any[]) => void;
}, string, import('vue').PublicProps, Readonly<__VLS_Props> & Readonly<{
    "onChange-select"?: ((...args: any[]) => any) | undefined;
}>, {
    height: string;
    autoResize: boolean;
    showRowSelectionMode: boolean;
    rowSelectionMode: "single" | "multiple";
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {
    xTable: {
        $props: import('vxe-table').VxeTableProps<any> & {
            layouts?: import("vxe-table").VxeGridPropTypes.Layouts;
            columns?: import("vxe-table").VxeGridPropTypes.Columns<any> | undefined;
            pagerConfig?: import("vxe-table").VxeGridPropTypes.PagerConfig;
            proxyConfig?: import("vxe-table").VxeGridPropTypes.ProxyConfig<any> | undefined;
            toolbarConfig?: import("vxe-table").VxeGridPropTypes.ToolbarConfig;
            formConfig?: import("vxe-table").VxeGridPropTypes.FormConfig;
            zoomConfig?: import("vxe-table").VxeGridPropTypes.ZoomConfig;
        } & import('vxe-table').VxeGridEventProps<any>;
        $slots: import('vxe-table').VxeGridSlots<any>;
    } | null;
}, HTMLDivElement>;
declare const _default: __VLS_WithTemplateSlots<typeof __VLS_component, __VLS_TemplateResult["slots"]>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
